/*	IO DEFINITIONS FOR MC68HC12D60
 *	Copyright (c) 1998 by COSMIC Software
 */
#ifndef _BASE
#define _BASE	0
#endif
#define _IO(x)	@_BASE+x
#if _BASE == 0
#define _PORT	@dir
#else
#define _PORT
#endif

_PORT volatile	char PORTA  _IO(0x00);	/* port A */
_PORT volatile	char PORTB  _IO(0x01);	/* port B */
_PORT volatile	char DDRA   _IO(0x02);	/* data direction port A */
_PORT volatile	char DDRB   _IO(0x03);	/* data direction port B */
_PORT volatile	char PORTE  _IO(0x08);	/* port E */
_PORT volatile	char DDRE   _IO(0x09);	/* data direction port E */
_PORT volatile	char PEAR   _IO(0x0a);	/* port E assignment register */
_PORT volatile	char MODE   _IO(0x0b);	/* mode register */
_PORT volatile	char PUCR   _IO(0x0c);	/* pull-up control register */
_PORT volatile	char RDRIV  _IO(0x0d);	/* reduced drive of I/O lines */

_PORT volatile	char INITRM _IO(0x10);	/* RAM mapping register */
_PORT volatile	char INITRG _IO(0x11);	/* IO mapping register */
_PORT volatile	char INITEE _IO(0x12);	/* EEPROM mapping register */
_PORT volatile	char MISC   _IO(0x13);	/* mapping control register */
_PORT volatile	char RTICTL _IO(0x14);	/* real time interrupt control */
_PORT volatile	char RTIFLG _IO(0x15);	/* real time interrupt flag */
_PORT volatile	char COPCTL _IO(0x16);	/* COP control register */
_PORT volatile	char COPRST _IO(0x17);	/* COP arm/reset */
_PORT volatile	char ITST0  _IO(0x18);	/* interrupt test 0 */
_PORT volatile	char ITST1  _IO(0x19);	/* interrupt test 1 */
_PORT volatile	char ITST2  _IO(0x1a);	/* interrupt test 2 */
_PORT volatile	char ITST3  _IO(0x1b);	/* interrupt test 3 */
_PORT volatile	char INTCR  _IO(0x1e);	/* interrupt control */
_PORT volatile	char HPRIO  _IO(0x1f);	/* highest priority */

_PORT volatile	char BRKCT0 _IO(0x20);	/* Breakpoint Control 0 */
_PORT volatile	char BRKCT1 _IO(0x21);	/* Breakpoint Control 1 */
_PORT volatile	int  BRKA   _IO(0x22);	/* Breakpoint Address */
_PORT volatile	int  BRKD   _IO(0x24);	/* Breakpoint Data */

_PORT volatile	char PORTG  _IO(0x28);	/* port G */
_PORT volatile	char PORTH  _IO(0x29);	/* port H */
_PORT volatile	char DDRG   _IO(0x2a);	/* data direction port G */
_PORT volatile	char DDRH   _IO(0x2b);	/* data direction port H */
_PORT volatile	char KWIEG  _IO(0x2c);	/* KW interrupt enable G */
_PORT volatile	char KWIEH  _IO(0x2d);	/* KW interrupt enable H */
_PORT volatile	char KWIFG  _IO(0x2e);	/* KW flag port G */
_PORT volatile	char KWIFH  _IO(0x2f);	/* KW flag port H */

_PORT volatile	char SYNR   _IO(0x38);	/* synthesizer register */
_PORT volatile	char REFDV  _IO(0x39);	/* reference divider register */
_PORT volatile	char CGTFLG _IO(0x3a);	/* clock generator test reg */
_PORT volatile	char PLLFLG _IO(0x3b);	/* PLL flag register */
_PORT volatile	char PLLCR  _IO(0x3c);	/* PLL control register */
_PORT volatile	char CLKSEL _IO(0x3d);	/* clock generator select reg */
_PORT volatile	char SLOW   _IO(0x3e);	/* slow mode divider register */
_PORT volatile	char CGTCTL _IO(0x3f);	/* clock generator test control */

_PORT volatile	char PWCLK  _IO(0x40);	/* PWM Clocks */
_PORT volatile	char PWPOL  _IO(0x41);	/* PWM Clock Polarity */
_PORT volatile	char PWEN   _IO(0x42);	/* PWM Enable */
_PORT volatile	char PWPRES _IO(0x43);	/* PWM Prescale Counter */
_PORT volatile	char PWSCAL0 _IO(0x44);	/* PWM Scale 0 */
_PORT volatile	char PWSCNT0 _IO(0x45);	/* PWM Counter 0 */
_PORT volatile	char PWSCAL1 _IO(0x46);	/* PWM Scale 1 */
_PORT volatile	char PWSCNT1 _IO(0x47);	/* PWM Counter 1 */
_PORT volatile	char PWCNT0 _IO(0x48);	/* PWM Channel Counter 0 */
_PORT volatile	char PWCNT1 _IO(0x49);	/* PWM Channel Counter 1 */
_PORT volatile	char PWCNT2 _IO(0x4a);	/* PWM Channel Counter 2 */
_PORT volatile	char PWCNT3 _IO(0x4b);	/* PWM Channel Counter 3 */
_PORT volatile	char PWPER0 _IO(0x4c);	/* PWM Channel Period 0 */
_PORT volatile	char PWPER1 _IO(0x4d);	/* PWM Channel Period 1 */
_PORT volatile	char PWPER2 _IO(0x4e);	/* PWM Channel Period 2 */
_PORT volatile	char PWPER3 _IO(0x4f);	/* PWM Channel Period 3 */
_PORT volatile	char PWDTY0 _IO(0x50);	/* PWM Channel Duty 0 */
_PORT volatile	char PWDTY1 _IO(0x51);	/* PWM Channel Duty 1 */
_PORT volatile	char PWDTY2 _IO(0x52);	/* PWM Channel Duty 2 */
_PORT volatile	char PWDTY3 _IO(0x53);	/* PWM Channel Duty 3 */
_PORT volatile	char PWCONT _IO(0x54);	/* PWM Control Register */
_PORT volatile	char PWTST  _IO(0x55);	/* PWM Test Register */
_PORT volatile	char PORTP  _IO(0x56);	/* port P */
_PORT volatile	char DDRP   _IO(0x57);	/* data direction port P */

_PORT volatile	char ATD0CTL0 _IO(0x60); /* A/D0 control register 0 */
_PORT volatile	char ATD0CTL1 _IO(0x61); /* A/D0 control register 1 */
_PORT volatile	char ATD0CTL2 _IO(0x62); /* A/D0 control register 2 */
_PORT volatile	char ATD0CTL3 _IO(0x63); /* A/D0 control register 3 */
_PORT volatile	char ATD0CTL4 _IO(0x64); /* A/D0 control register 4 */
_PORT volatile	char ATD0CTL5 _IO(0x65); /* A/D0 control register 5 */
_PORT volatile	int  ATD0STAT _IO(0x66); /* A/D0 status register */
_PORT volatile	int  ATD0TEST _IO(0x68); /* A/D0 test register */
_PORT volatile	char PORTAD0 _IO(0x6f);	/* port AD0 data input register */
_PORT volatile	int  ADR00   _IO(0x70);	/* A/D0 result 0 */
_PORT volatile	int  ADR01   _IO(0x72);	/* A/D0 result 1 */
_PORT volatile	int  ADR02   _IO(0x74);	/* A/D0 result 2 */
_PORT volatile	int  ADR03   _IO(0x76);	/* A/D0 result 3 */
_PORT volatile	int  ADR04   _IO(0x78);	/* A/D0 result 4 */
_PORT volatile	int  ADR05   _IO(0x7a);	/* A/D0 result 5 */
_PORT volatile	int  ADR06   _IO(0x7c);	/* A/D0 result 6 */
_PORT volatile	int  ADR07   _IO(0x7e);	/* A/D0 result 7 */

_PORT volatile	char TIOS   _IO(0x80);	/* time select */
_PORT volatile	char CFORC  _IO(0x81);	/* compare force */
_PORT volatile	char OC7M   _IO(0x82);	/* oc7 mask */
_PORT volatile	char OC7D   _IO(0x83);	/* oc7 data */
_PORT volatile	int  TCNT   _IO(0x84);	/* timer counter */
_PORT volatile	char TSCR   _IO(0x86);	/* timer system control */
_PORT volatile	char TQCR   _IO(0x87);	/* timer queue control */
_PORT volatile	char TCTL1  _IO(0x88);	/* timer control 1 */
_PORT volatile	char TCTL2  _IO(0x89);	/* timer control 2 */
_PORT volatile	char TCTL3  _IO(0x8a);	/* timer control 3 */
_PORT volatile	char TCTL4  _IO(0x8b);	/* timer control 4 */
_PORT volatile	char TMSK1  _IO(0x8c);	/* timer interrupt mask 1 */
_PORT volatile	char TMSK2  _IO(0x8d);	/* timer interrupt mask 2 */
_PORT volatile	char TFLG1  _IO(0x8e);	/* timer interrupt flag 1 */
_PORT volatile	char TFLG2  _IO(0x8f);	/* timer interrupt flag 2 */
_PORT volatile	int  TC0    _IO(0x90);	/* timer capture/compare 0 */
_PORT volatile	int  TC1    _IO(0x92);	/* timer capture/compare 1 */
_PORT volatile	int  TC2    _IO(0x94);	/* timer capture/compare 2 */
_PORT volatile	int  TC3    _IO(0x96);	/* timer capture/compare 3 */
_PORT volatile	int  TC4    _IO(0x98);	/* timer capture/compare 4 */
_PORT volatile	int  TC5    _IO(0x9a);	/* timer capture/compare 5 */
_PORT volatile	int  TC6    _IO(0x9c);	/* timer capture/compare 6 */
_PORT volatile	int  TC7    _IO(0x9e);	/* timer capture/compare 7 */
_PORT volatile	char PACTL  _IO(0xa0);	/* pulse accumulator A control */
_PORT volatile	char PAFLG  _IO(0xa1);	/* pulse accumulator A flag */
_PORT volatile	int  PACN3  _IO(0xa2);	/* pulse accumulator A3 count */
_PORT volatile	int  PACN2  _IO(0xa3);	/* pulse accumulator A2 count */
_PORT volatile	int  PACN1  _IO(0xa4);	/* pulse accumulator A1 count */
_PORT volatile	int  PACN0  _IO(0xa5);	/* pulse accumulator A0 count */
_PORT volatile	char MCCTL  _IO(0xa6);	/* modulus counter control reg */
_PORT volatile	char MCFLG  _IO(0xa7);	/* modulus counter flag reg */
_PORT volatile	char ICPAR  _IO(0xa8);	/* input control pulse acc reg */
_PORT volatile	char DLYCT  _IO(0xa9);	/* delay counter control reg */
_PORT volatile	char ICOVW  _IO(0xaa);	/* input control overwrite reg */
_PORT volatile	char ICSYS  _IO(0xab);	/* input control system reg */
_PORT volatile	char TIMTST _IO(0xad);	/* timer test register */
_PORT volatile	char PORTT  _IO(0xae);	/* timer port data */
_PORT volatile	char DDRT   _IO(0xaf);	/* timer data direction */

_PORT volatile	char PBCTL  _IO(0xb0);	/* pulse accumulator B control */
_PORT volatile	char PBFLG  _IO(0xb1);	/* pulse accumulator B flag */
_PORT volatile	char PA3H   _IO(0xb2);	/* pulse accumulator B3 count */
_PORT volatile	char PA2H   _IO(0xb3);	/* pulse accumulator B2 count */
_PORT volatile	char PA1H   _IO(0xb4);	/* pulse accumulator B1 count */
_PORT volatile	char PA0H   _IO(0xb5);	/* pulse accumulator B0 count */
_PORT volatile	int  MCCNT  _IO(0xb6);	/* modulus counter count reg */
_PORT volatile	int  TC0H   _IO(0xb8);	/* timer input capture hold 0 */
_PORT volatile	int  TC1H   _IO(0xba);	/* timer input capture hold 1 */
_PORT volatile	int  TC2H   _IO(0xbc);	/* timer input capture hold 2 */
_PORT volatile	int  TC3H   _IO(0xbe);	/* timer input capture hold 3 */

_PORT volatile	char SC0BDH _IO(0xc0);	/* SCI 0 baud rate high */
_PORT volatile	char SC0BDL _IO(0xc1);	/* SCI 0 baud rate low */
_PORT volatile	char SC0CR1 _IO(0xc2);	/* SCI 0 control register 1 */
_PORT volatile	char SC0CR2 _IO(0xc3);	/* SCI 0 control register 2 */
_PORT volatile	char SC0SR1 _IO(0xc4);	/* SCI 0 status register 1 */
_PORT volatile	char SC0SR2 _IO(0xc5);	/* SCI 0 status register 2 */
_PORT volatile	char SC0DRH _IO(0xc6);	/* SCI 0 data register high */
_PORT volatile	char SC0DRL _IO(0xc7);	/* SCI 0 data register low */
_PORT volatile	char SC1BDH _IO(0xc8);	/* SCI 1 baud rate high */
_PORT volatile	char SC1BDL _IO(0xc9);	/* SCI 1 baud rate low */
_PORT volatile	char SC1CR1 _IO(0xca);	/* SCI 1 control register 1 */
_PORT volatile	char SC1CR2 _IO(0xcb);	/* SCI 1 control register 2 */
_PORT volatile	char SC1SR1 _IO(0xcc);	/* SCI 1 status register 1 */
_PORT volatile	char SC1SR2 _IO(0xcd);	/* SCI 1 status register 2 */
_PORT volatile	char SC1DRH _IO(0xce);	/* SCI 1 data register high */
_PORT volatile	char SC1DRL _IO(0xcf);	/* SCI 1 data register low */

_PORT volatile	char SP0CR1 _IO(0xd0);	/* SPI control register 1 */
_PORT volatile	char SP0CR2 _IO(0xd1);	/* SPI control register 2 */
_PORT volatile	char SP0BR  _IO(0xd2);	/* SPI baud rate register */
_PORT volatile	char SP0SR  _IO(0xd3);	/* SPI status register */
_PORT volatile	char SP0DR  _IO(0xd5);	/* SPI data register */
_PORT volatile	char PORTS  _IO(0xd6);	/* port S data register */
_PORT volatile	char DDRS   _IO(0xd7);	/* port S data direction */
_PORT volatile	char PURDS  _IO(0xd9);	/* port S pull-up */

_PORT volatile	char EEMCR  _IO(0xf0);	/* eeprom module configuration */
_PORT volatile	char EEPROT _IO(0xf1);	/* eeprom block protect */
_PORT volatile	char EETST  _IO(0xf2);	/* eeprom test register */
_PORT volatile	char EEPROG _IO(0xf3);	/* eeprom control register */
_PORT volatile	char FEE32LCK _IO(0xf4); /* flash lock register */
_PORT volatile	char FEE32MCR _IO(0xf5); /* flash module register */
_PORT volatile	char FEE32TST _IO(0xf6); /* flash test register */
_PORT volatile	char FEE32CTL _IO(0xf7); /* flash control register */
_PORT volatile	char FEE28LCK _IO(0xf8); /* flash lock register */
_PORT volatile	char FEE28MCR _IO(0xf9); /* flash module register */
_PORT volatile	char FEE28TST _IO(0xfa); /* flash test register */
_PORT volatile	char FEE28CTL _IO(0xfb); /* flash control register */

volatile char CMCR0    _IO(0x100);	/* CAN control register 0 */
volatile char CMCR1    _IO(0x101);	/* CAN control register 1 */
volatile char CBTR0    _IO(0x102);	/* CAN bus timing register 0 */
volatile char CBTR1    _IO(0x103);	/* CAN bus timing register 1 */
volatile char CRFLG    _IO(0x104);	/* CAN receiver flag register */
volatile char CRIER    _IO(0x105);	/* CAN receiver interrupt reg */
volatile char CTFLG    _IO(0x106);	/* CAN transmitter flag reg */
volatile char CTCR     _IO(0x107);	/* CAN transmitter control reg */
volatile char CIDAC    _IO(0x108);	/* CAN id acceptance ctrl reg */
volatile char CRXERR   _IO(0x10e);	/* CAN receive error counter */
volatile char CTXERR   _IO(0x10f);	/* CAN transmit error counter */
volatile char CIDAR0   _IO(0x110);	/* CAN id acceptance register 0 */
volatile char CIDAR1   _IO(0x111);	/* CAN id acceptance register 1 */
volatile char CIDAR2   _IO(0x112);	/* CAN id acceptance register 2 */
volatile char CIDAR3   _IO(0x113);	/* CAN id acceptance register 3 */
volatile char CIDMR0   _IO(0x114);	/* CAN id mask register 0 */
volatile char CIDMR1   _IO(0x115);	/* CAN id mask register 1 */
volatile char CIDMR2   _IO(0x116);	/* CAN id mask register 2 */
volatile char CIDMR3   _IO(0x117);	/* CAN id mask register 3 */
volatile char CIDAR4   _IO(0x118);	/* CAN id acceptance register 4 */
volatile char CIDAR5   _IO(0x119);	/* CAN id acceptance register 5 */
volatile char CIDAR6   _IO(0x11a);	/* CAN id acceptance register 6 */
volatile char CIDAR7   _IO(0x11b);	/* CAN id acceptance register 7 */
volatile char CIDMR4   _IO(0x11c);	/* CAN id mask register 4 */
volatile char CIDMR5   _IO(0x11d);	/* CAN id mask register 5 */
volatile char CIDMR6   _IO(0x11e);	/* CAN id mask register 6 */
volatile char CIDMR7   _IO(0x11f);	/* CAN id mask register 7 */

volatile char PCTLCAN  _IO(0x13d);	/* CAN port control register */
volatile char PORTCAN  _IO(0x13e);	/* CAN port data register */
volatile char DDRCAN   _IO(0x13f);	/* CAN port data direction reg */

volatile char RxFG[16] _IO(0x140);	/* CAN receive buffer */
volatile char Tx0[16]  _IO(0x150);	/* CAN transmit buffer 0 */
volatile char Tx1[16]  _IO(0x160);	/* CAN transmit buffer 1 */
volatile char Tx2[16]  _IO(0x170);	/* CAN transmit buffer 2 */

volatile char ATD1CTL0 _IO(0x1e0);	/* A/D1 control register 0 */
volatile char ATD1CTL1 _IO(0x1e1);	/* A/D1 control register 1 */
volatile char ATD1CTL2 _IO(0x1e2);	/* A/D1 control register 2 */
volatile char ATD1CTL3 _IO(0x1e3);	/* A/D1 control register 3 */
volatile char ATD1CTL4 _IO(0x1e4);	/* A/D1 control register 4 */
volatile char ATD1CTL5 _IO(0x1e5);	/* A/D1 control register 5 */
volatile int  ATD1STAT _IO(0x1e6);	/* A/D1 status register */
volatile int  ATD1TEST _IO(0x1e8);	/* A/D1 test register */
volatile char PORTAD1  _IO(0x1ef);	/* port AD1 data input register */
volatile int  ADR10    _IO(0x1f0);	/* A/D1 result 0 */
volatile int  ADR11    _IO(0x1f2);	/* A/D1 result 1 */
volatile int  ADR12    _IO(0x1f4);	/* A/D1 result 2 */
volatile int  ADR13    _IO(0x1f6);	/* A/D1 result 3 */
volatile int  ADR14    _IO(0x1f8);	/* A/D1 result 4 */
volatile int  ADR15    _IO(0x1fa);	/* A/D1 result 5 */
volatile int  ADR16    _IO(0x1fc);	/* A/D1 result 6 */
volatile int  ADR17    _IO(0x1fe);	/* A/D1 result 7 */

